at.chipkarte.client.dbas.soap

## Class PatientInfo

- Object
- - at.chipkarte.client.dbas.soap.PatientInfo

-     public class PatientInfo
      extends Object

  Enthält das Ergebnis der Funktion `searchDmpData`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatientInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDruckTitelHinten()` Drucktitel hinten der SV-Person.
    `String` | `getDruckTitelVorne()` Drucktitel vorne der SV-Person.
    `String` | `getDruckVorname()` druckVorname der SV-Person.
    `String` | `getDruckZuname()` druckZuname der SV-Person.
    `String` | `getGeburtsdatum()` Geburtsdatum der SV-Person.
    `String` | `getGeschlechtscode()` Geschlechtscode der SV-Person.
    `String` | `getSvNummer()` Sozialversicherungsnummer der SV-Person.
    `String` | `getTitelHinten()` Titel hinten der SV-Person.
    `String` | `getTitelVorne()` Titel vorne der SV-Person.
    `String` | `getVorname()` Vorname der SV-Person.
    `String` | `getZuname()` Zuname der SV-Person.
    `void` | `setDruckTitelHinten(String _druckTitelHinten)`
    `void` | `setDruckTitelVorne(String _druckTitelVorne)`
    `void` | `setDruckVorname(String _druckVorname)`
    `void` | `setDruckZuname(String _druckZuname)`
    `void` | `setGeburtsdatum(String _geburtsdatum)`
    `void` | `setGeschlechtscode(String _geschlechtscode)`
    `void` | `setSvNummer(String _svNummer)`
    `void` | `setTitelHinten(String _titelHinten)`
    `void` | `setTitelVorne(String _titelVorne)`
    `void` | `setVorname(String _vorname)`
    `void` | `setZuname(String _zuname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatientInfo

          public PatientInfo()

  - ### Method Detail

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum der SV-Person.
      Format: TT.MM.JJJJ
      Returns:
        Geburtsdatum.

    - #### setGeburtsdatum

          public void setGeburtsdatum(String _geburtsdatum)

    - #### getGeschlechtscode

          public String getGeschlechtscode()

      Geschlechtscode der SV-Person.
      Mögliche Werte siehe `Geschlechtscodes`.
      Format: maximal 1-stellig
      Returns:
        Geschlechtscode.

    - #### setGeschlechtscode

          public void setGeschlechtscode(String _geschlechtscode)

    - #### getTitelHinten

          public String getTitelHinten()

      Titel hinten der SV-Person.
      Format: maximal 30-stellig
      Returns:
        TitelHinten.

    - #### setTitelHinten

          public void setTitelHinten(String _titelHinten)

    - #### getTitelVorne

          public String getTitelVorne()

      Titel vorne der SV-Person.
      Format: maximal 30-stellig
      Returns:
        TitelVorne.

    - #### setTitelVorne

          public void setTitelVorne(String _titelVorne)

    - #### getVorname

          public String getVorname()

      Vorname der SV-Person.
      Format: maximal 70-stellig
      Returns:
        Vorname.

    - #### setVorname

          public void setVorname(String _vorname)

    - #### getDruckZuname

          public String getDruckZuname()

      druckZuname der SV-Person.
      Format: maximal 70-stellig
      Returns:
        druckZuname.

    - #### setDruckZuname

          public void setDruckZuname(String _druckZuname)

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der SV-Person.
      Format: maximal 10-stellig
      Returns:
        SvNummer.

    - #### setSvNummer

          public void setSvNummer(String _svNummer)

    - #### getDruckVorname

          public String getDruckVorname()

      druckVorname der SV-Person.
      Format: maximal 70-stellig
      Returns:
        druckVorname.

    - #### setDruckVorname

          public void setDruckVorname(String _druckVorname)

    - #### getZuname

          public String getZuname()

      Zuname der SV-Person.
      Format: maximal 70-stellig
      Returns:
        Zuname.

    - #### setZuname

          public void setZuname(String _zuname)

    - #### getDruckTitelHinten

          public String getDruckTitelHinten()

      Drucktitel hinten der SV-Person.
      Format: maximal 30-stellig
      Returns:
        druckTitelHinten.

    - #### setDruckTitelHinten

          public void setDruckTitelHinten(String _druckTitelHinten)

    - #### getDruckTitelVorne

          public String getDruckTitelVorne()

      Drucktitel vorne der SV-Person.
      Format: maximal 30-stellig
      Returns:
        druckTitelVorne.

    - #### setDruckTitelVorne

          public void setDruckTitelVorne(String _druckTitelVorne)